JavaScript
const apiKey = "your api key here" // update with your api_key
const myHeaders = new Headers();
myHeaders.append("Content-Type", "application/json");
myHeaders.append("Authorization", `Bearer ${apiKey}`);
const raw = JSON.stringify({
"list": {
"name": "List name",
"enrichment_level": "partial",
"email_options": {
"accept_work": true,
"accept_personal": true,
"accept_generic": true
},
"items": [
{
"full_name": "Stephen Hakami",
"company": "Wiza",
"domain": "wiza.co"
}, {
"profile_url": "https://www.linkedin.com/in/stephen-hakami-5babb21b0/"
}, {
"email": "stephen@wiza.co"
}
]
}
});
const requestOptions = {
method: "POST",
headers: myHeaders,
body: raw,
redirect: "follow"
};
fetch("https://wiza.co/api/lists", requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));import http.client
import json
api_key = "your api key here" # update with your api_key
conn = http.client.HTTPSConnection("wiza.co")
payload = json.dumps({
"list": {
"name": "List name",
"enrichment_level": "partial",
"email_options": {
"accept_work": True,
"accept_personal": True,
"accept_generic": True
},
"items": [
{
"full_name": "Stephen Hakami",
"company": "Wiza",
"domain": "wiza.co"
}, {
"profile_url": "https://www.linkedin.com/in/stephen-hakami-5babb21b0/"
}, {
"email": "stephen@wiza.co"
}
]
}
})
authorization = ("Bearer {api_key}").format(api_key=api_key)
headers = {
'Content-Type': 'application/json',
'Authorization': authorization
}
conn.request("POST", "/api/lists", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require "uri"
require "json"
require "net/http"
api_key = "your api key here" # update with your api_key
url = URI("https://wiza.co/api/lists")
https = Net::HTTP.new(url.host, url.port);
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer #{api_key}"
request.body = JSON.dump({
"list": {
"name": "List name",
"enrichment_level": "partial",
"email_options": {
"accept_work": true,
"accept_personal": true,
"accept_generic": true
},
"items": [
{
"full_name": "Stephen Hakami",
"company": "Wiza",
"domain": "wiza.co"
}, {
"profile_url": "https://www.linkedin.com/in/stephen-hakami-5babb21b0/"
}, {
"email": "stephen@wiza.co"
}
]
}
})
response = https.request(request)
puts response.read_bodyapi_key="your api key here" # update with your api_key
curl --location 'https://wiza.co/api/lists' --header 'Content-Type: application/json' --header "Authorization: Bearer ${api_key}" --data '{
"list": {
"name": "List name",
"enrichment_level": "partial",
"email_options": {
"accept_work": true,
"accept_personal": true,
"accept_generic": true
},
"items": [
{
"full_name": "Stephen Hakami",
"company": "Wiza",
"domain": "wiza.co"
}, {
"profile_url": "https://www.linkedin.com/in/stephen-hakami-5babb21b0/"
}, {
"email": "stephen@wiza.co"
}
]
}
}'
api_key="your api key here" # update with your api_key
curl --location 'https://wiza.co/api/lists' --header 'Content-Type: application/json' --header "Authorization: Bearer ${api_key}" --data '{
"list": {
"name": "List name",
"enrichment_level": "partial",
"email_options": {
"accept_work": true,
"accept_personal": true,
"accept_generic": true
},
"items": [
{
"full_name": "Stephen Hakami",
"company": "Wiza",
"domain": "wiza.co"
}, {
"profile_url": "https://www.linkedin.com/in/stephen-hakami-5babb21b0/"
}, {
"email": "stephen@wiza.co"
}
]
}
}'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://wiza.co/api/lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'list' => [
'name' => 'VP of Sales in San Francisco',
'enrichment_level' => 'partial',
'email_options' => [
'accept_work' => true,
'accept_personal' => true,
'accept_generic' => true
],
'items' => [
[
'full_name' => 'Stephen Hakami',
'company' => 'Wiza',
'domain' => 'wiza.co'
],
[
'profile_url' => 'https://www.linkedin.com/in/stephen-hakami-5babb21b0/'
],
[
'email' => 'stephen@wiza.co'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://wiza.co/api/lists"
payload := strings.NewReader("{\n \"list\": {\n \"name\": \"VP of Sales in San Francisco\",\n \"enrichment_level\": \"partial\",\n \"email_options\": {\n \"accept_work\": true,\n \"accept_personal\": true,\n \"accept_generic\": true\n },\n \"items\": [\n {\n \"full_name\": \"Stephen Hakami\",\n \"company\": \"Wiza\",\n \"domain\": \"wiza.co\"\n },\n {\n \"profile_url\": \"https://www.linkedin.com/in/stephen-hakami-5babb21b0/\"\n },\n {\n \"email\": \"stephen@wiza.co\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://wiza.co/api/lists")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"list\": {\n \"name\": \"VP of Sales in San Francisco\",\n \"enrichment_level\": \"partial\",\n \"email_options\": {\n \"accept_work\": true,\n \"accept_personal\": true,\n \"accept_generic\": true\n },\n \"items\": [\n {\n \"full_name\": \"Stephen Hakami\",\n \"company\": \"Wiza\",\n \"domain\": \"wiza.co\"\n },\n {\n \"profile_url\": \"https://www.linkedin.com/in/stephen-hakami-5babb21b0/\"\n },\n {\n \"email\": \"stephen@wiza.co\"\n }\n ]\n }\n}")
.asString();{
"status": {
"code": 200,
"message": "🧙 Wiza is working on it!"
},
"type": "list",
"data": {
"id": 15,
"name": "VP of Sales in San Francisco",
"status": "queued",
"stats": {
"people": 2,
"credits": {
"email_credits": 1,
"phone_credits": 1,
"export_credits": 1,
"api_credits": {
"email_credits": 2,
"phone_credits": 5,
"scrape_credits": 1,
"total": 8
}
}
},
"finished_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"enrichment_level": "partial",
"email_options": {
"accept_work": true,
"accept_personal": true,
"accept_generic": true
},
"report_type": "people"
}
}{
"status": {
"code": 400,
"message": "Please add a valid payment method to start this scan."
}
}Authorizations
Enter your bearer token (your API key) in the Authorization header in the format Bearer {token}
Body
application/json
Show child attributes
Show child attributes
Example:
{
"name": "VP of Sales in San Francisco",
"enrichment_level": "partial",
"email_options": {
"accept_work": true,
"accept_personal": true,
"accept_generic": true
},
"items": [
{
"full_name": "Stephen Hakami",
"company": "Wiza",
"domain": "wiza.co"
},
{
"profile_url": "https://www.linkedin.com/in/stephen-hakami-5babb21b0/"
},
{ "email": "stephen@wiza.co" }
]
}⌘I

